Return the integer object handle for given object

- « runkit7_method_rename

- runkit7_superglobals »

- PHP Manual
- runkit7 Functions
- Return the integer object handle for given object

# runkit7_object_id

(PECL runkit7 >= Unknown)

runkit7_object_id — Return the integer object handle for given object

### Description

runkit7_object_id(object `$obj`): int

This function is equivalent to spl_object_id().

This function returns a unique identifier for the object. The object id is unique for the lifetime of the object. Once the object is destroyed, its id may be reused for other objects. This behavior is similar to spl_object_hash().

### Parameters

`obj`

  Any object.

### Return Values

An integer identifier that is unique for each currently existing object and is always the same for each object.

### Notes

> Note:

> When an object is destroyed, its id may be reused for other objects.

### See Also

- spl_object_id() - Return the integer object handle for given object